package com.gh.gamecenter.setting.compose.ui.component

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.*
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.platform.LocalContext
import androidx.compose.ui.unit.dp
import com.gh.gamecenter.core.utils.DisplayUtils
import com.gh.gamecenter.setting.compose.ui.theme.HaloTheme

@Composable
fun SettingDivider() {
    Row(
        modifier = Modifier
            .fillMaxWidth()
            .background(HaloTheme.colors.backgroundWhite)
    ) {
        Spacer(
            modifier = Modifier
                .fillMaxWidth()
                .padding(horizontal = 20.dp)
                .height(DisplayUtils.px2dip(LocalContext.current, 1F).dp)
                .background(HaloTheme.colors.divider)
        )
    }
}